# Class: BaseAvatarEditorController

## module:core.form.editors.avatar.controllers. BaseAvatarEditorController

Base data provider class for AvatarEditorView. Methods `upload` and `getImage` must be implemented by subclasses.

#### new BaseAvatarEditorController(options)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | Object | Options object. ###### Properties
  Name | Type | Description
  --- | --- | ---
  `defaultURL` | string | Default image URL to display when neither image value for `getImage` method nor full name for AvatarEditorView provided.

#### Search results